.bootstrap-select .btn-default, .multiselect.btn-default,
.list-group-item,
.bootstrap-select.btn-group .dropdown-menu > li > a .check-mark 
{
  -webkit-transition: all ease-in-out 0.15s;
  -o-transition: all ease-in-out 0.15s;
  transition: all ease-in-out 0.15s;
}


/* ------------------------------------------------------------------------------
*
*  # Uniform form inputs plugin
*
*  Styles for uniform.min.js - form components styling
*
*  Version: 1.2
*  Latest update: Aug 10, 2016
*
* ---------------------------------------------------------------------------- */
.checker {
  position: relative;
  display: inline-block;
  cursor: pointer;
  vertical-align: middle;
}
.checker,
.checker span,
.checker input {
  width: 18px;
  height: 18px;
}
.checker span {
  color: #455A64;
  border: 2px solid #607D8B;
  display: inline-block;
  text-align: center;
  position: relative;
  border-radius: 2px;
}
.checker span:after {
  content: "\ed6e";
  font-family: 'icomoon';
  font-size: 16px;
  color: inherit;
  line-height: 1;
  position: absolute;
  top: -1px;
  left: -1px;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  opacity: 0;
  filter: alpha(opacity=0);
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  -o-transform: scale(0);
  transform: scale(0);
  -webkit-transition-duration: 0.1s;
  transition-duration: 0.1s;
}
.checker span.checked {
  border-color: transparent;
  -webkit-transition-duration: 0.1s;
  transition-duration: 0.1s;
}
.checker span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
}
.checker input[type=checkbox],
.choice input[type=radio] {
  border: none;
  background: none;
  display: -moz-inline-box;
  display: inline-block;
  margin: 0;
  vertical-align: top;
  cursor: pointer;
  position: absolute;
  top: -2px;
  left: -2px;
  z-index: 2;
  opacity: 0;
  filter: alpha(opacity=0);
}
.checkbox .checker,
.checkbox-inline .checker {
  position: absolute;
  top: 1px;
  left: 0;
}
.form-horizontal .checkbox .checker,
.form-horizontal .checkbox-inline .checker {
  top: 10px;
}
.checkbox-right .checker {
  left: auto;
  right: 0;
}
.checker.disabled {
  opacity: 0.5;
  filter: alpha(opacity=50);
}
.checker.disabled,
.checker.disabled input[type=checkbox] {
  cursor: not-allowed;
}
.checkbox > label:active .checker.disabled span:after,
.checkbox-inline:active .checker.disabled span:after {
  opacity: 0;
  filter: alpha(opacity=0);
}
.checkbox > label:active .checker.disabled span.checked:after,
.checkbox-inline:active .checker.disabled span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
}
.checker[class*=border-] span {
  color: inherit;
}
.checker[class*=border-] span:not(.checked) {
  border-color: inherit;
}
.dropdown-menu > .active:not(.disabled) .checker span,
.dropdown-menu[class*=bg-] .checker span,
.page-header-inverse .form-group > .checkbox .checker span,
.page-header-inverse .form-group > .checkbox-inline .checker span,
.navbar-inverse .navbar-form .form-group > .checkbox .checker span,
.navbar-inverse .navbar-form .form-group > .checkbox-inline .checker span,
.sidebar:not(.sidebar-default) .checkbox .checker span,
.sidebar:not(.sidebar-default) .checkbox-inline .checker span {
  border-color: #fff;
  color: #fff;
}
.dropdown-menu > .active:not(.disabled) .checker span.checked,
.dropdown-menu[class*=bg-] .checker span.checked,
.page-header-inverse .form-group > .checkbox .checker span.checked,
.page-header-inverse .form-group > .checkbox-inline .checker span.checked,
.navbar-inverse .navbar-form .form-group > .checkbox .checker span.checked,
.navbar-inverse .navbar-form .form-group > .checkbox-inline .checker span.checked,
.sidebar:not(.sidebar-default) .checkbox .checker span.checked,
.sidebar:not(.sidebar-default) .checkbox-inline .checker span.checked {
  border-color: transparent;
}
.choice {
  position: relative;
  display: inline-block;
  cursor: pointer;
  vertical-align: middle;
  border-radius: 100%;
}
.choice,
.choice span,
.choice input {
  width: 18px;
  height: 18px;
}
.choice span {
  border: 2px solid #607D8B;
  display: -moz-inline-box;
  display: inline-block;
  border-radius: 100%;
  text-align: center;
  position: relative;
}
.choice span:after {
  content: "";
  position: absolute;
  top: 3px;
  left: 3px;
  border: 4px solid;
  border-color: inherit;
  width: 0;
  height: 0;
  border-radius: 100%;
  opacity: 0;
  filter: alpha(opacity=0);
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  -o-transform: scale(0);
  transform: scale(0);
}
.choice span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
}
.radio .choice,
.radio-inline .choice {
  position: absolute;
  top: 1px;
  left: 0;
}
.form-horizontal .radio .choice,
.form-horizontal .radio-inline .choice {
  top: 10px;
}
.radio-right .choice {
  left: auto;
  right: 0;
}
.choice.active span:after,
.radio > label:active .choice span:after,
.radio-inline:active .choice span:after {
  opacity: 0.75;
  filter: alpha(opacity=75);
}
.choice.disabled {
  opacity: 0.5;
  filter: alpha(opacity=50);
}
.choice.disabled,
.choice.disabled input[type=radio] {
  cursor: not-allowed;
}
.radio > label:active .choice.disabled span:after,
.radio-inline:active .choice.disabled span:after {
  opacity: 0;
  filter: alpha(opacity=0);
}
.radio > label:active .choice.disabled span.checked:after,
.radio-inline:active .choice.disabled span.checked:after {
  opacity: 1;
  filter: alpha(opacity=100);
}
.choice[class*=border-] span {
  border-color: inherit;
}
.choice[class*=border-] span:after {
  border-color: inherit;
}
.dropdown-menu > .active .choice span,
.dropdown-menu[class*=bg-] .choice span,
.page-header-inverse .form-group > .radio .choice span,
.page-header-inverse .form-group > .radio-inline .choice span,
.navbar-inverse .navbar-form .form-group > .radio .choice span,
.navbar-inverse .navbar-form .form-group > .radio-inline .choice span,
.sidebar:not(.sidebar-default) .radio .choice span,
.sidebar:not(.sidebar-default) .radio-inline .choice span {
  border-color: #fff;
}
.uploader {
  position: relative;
  display: inline-block;
  max-width: 100%;
}
.uploader:after {
  content: '';
  display: table;
  clear: both;
}
.uploader .filename {
  color: #999999;
  padding: 8px 16px;
  cursor: pointer;
  display: block;
  border: 1px solid transparent;
  float: right;
  max-width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.uploader .action {
  cursor: pointer;
  margin: 0;
  float: left;
}
.uploader .action.btn {
  margin-top: 0;
}
.uploader:hover .action,
.uploader:focus .action {
  -webkit-box-shadow: 0 0 0 100px rgba(0, 0, 0, 0.05) inset;
  box-shadow: 0 0 0 100px rgba(0, 0, 0, 0.05) inset;
}
.uploader:active .action {
  -webkit-box-shadow: 0 0 0 100px rgba(0, 0, 0, 0.1) inset;
  box-shadow: 0 0 0 100px rgba(0, 0, 0, 0.1) inset;
}
.uploader input[type=file] {
  width: 100%;
  margin-top: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  height: 38px;
  border: 0;
  cursor: pointer;
  z-index: 10;
  opacity: 0;
  filter: alpha(opacity=0);
}
.uploader.disabled input[type=file] {
  cursor: not-allowed;
}
.uploader.disabled .action {
  opacity: 0.6;
  filter: alpha(opacity=60);
}
.sidebar .form-group > .uploader {
  display: block;
}
.sidebar .form-group > .uploader .filename {
  float: none;
  padding-left: 0;
  padding-right: 0;
}
.sidebar .form-group > .uploader .action {
  display: block;
}
.page-header-inverse .form-group > .uploader .filename,
.navbar-inverse .navbar-form .form-group > .uploader .filename {
  color: rgba(255, 255, 255, 0.9);
}
.uploader-lg input[type=file],
.uploader-lg .action,
.uploader-lg .filename {
  height: 40px;
}
.uploader-lg .filename {
  padding: 9px 18px;
  font-size: 14px;
  line-height: 1.4285715;
}
.uploader-sm input[type=file],
.uploader-sm .action,
.uploader-sm .filename {
  height: 36px;
}
.uploader-sm .filename {
  padding: 7px 14px;
  font-size: 12px;
  line-height: 1.6666667;
}
.uploader-xs input[type=file],
.uploader-xs .action,
.uploader-xs .filename {
  height: 34px;
}
.uploader-xs .filename {
  padding: 6px 12px;
  font-size: 12px;
  line-height: 1.6666667;
}

/* ------------------------------------------------------------------------------
*
*  # Bootstrap select
*
*  Styles for bootstrap_select.js - custom select boxes plugin
*
*  Version: 1.2
*  Latest update: Aug 20, 2016
*
* ---------------------------------------------------------------------------- */
.bootstrap-select {
  width: 100%;
}
.bootstrap-select > .btn {
  width: 100%;
  padding-right: 43px;
}
.bootstrap-select .btn-default {
  padding: 8px 0;
  padding-right: 24px;
  background-color: transparent;
  border: 1px solid transparent;
  border-width: 1px 0;
  font-weight: 400;
  text-transform: none;
  border-bottom-color: #ddd;
  border-radius: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.bootstrap-select .btn-default:focus,
.bootstrap-select .btn-default.focus,
.bootstrap-select .btn-default:active,
.bootstrap-select .btn-default.active {
  background-color: transparent;
  border-bottom-color: #009688;
  -webkit-box-shadow: 0 1px 0 #009688;
  box-shadow: 0 1px 0 #009688;
}
.bootstrap-select .btn-default.disabled,
.bootstrap-select .btn-default[disabled],
fieldset[disabled] .bootstrap-select .btn-default {
  border-bottom-style: dashed;
  background-color: transparent;
  border-bottom-color: #ddd;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.bootstrap-select.btn-group.open > .btn-default.dropdown-toggle {
  border-bottom-color: #009688;
  background-color: transparent;
  -webkit-box-shadow: 0 1px 0 #009688;
  box-shadow: 0 1px 0 #009688;
}
.bootstrap-select.form-control {
  padding: 0;
  border: 0;
}
.bootstrap-select.form-control:not([class*="col-"]) {
  width: 100%;
}
.bootstrap-select .popover-title {
  font-size: 11px;
  line-height: 1.82;
  margin-top: 8px;
  margin-bottom: 1px;
  font-weight: 400;
  padding: 8px 16px;
  color: #999999;
}
.bootstrap-select[class*=border-] .btn,
.bootstrap-select[class*=border-] .dropdown-menu {
  border-color: inherit;
}
.bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
  width: 220px;
}
.bootstrap-select.fit-width {
  width: auto !important;
}
.bootstrap-select.btn-group.bs-container {
  position: absolute;
}
.bootstrap-select.btn-group:not(.input-group-btn),
.bootstrap-select.btn-group[class*="col-"] {
  float: none;
  display: inline-block;
  margin-left: 0;
}
.bootstrap-select.btn-group.dropdown-menu-right,
.bootstrap-select.btn-group[class*="col-"].dropdown-menu-right {
  float: right;
}
.bootstrap-select.btn-group > .disabled {
  cursor: not-allowed;
}
.bootstrap-select.btn-group > .disabled:focus {
  outline: 0;
}
.bootstrap-select.btn-group .btn .filter-option {
  display: inline-block;
  overflow: hidden;
  width: 100%;
  text-align: left;
  text-overflow: ellipsis;
}
.bootstrap-select.btn-group .btn .filter-option > i,
.bootstrap-select.btn-group .dropdown-menu > li > a [class*=icon-] {
  margin-right: 16px;
  float: left;
  margin-top: 2px;
  top: 0;
}
.bootstrap-select.btn-group .btn .caret {
  position: absolute;
  top: 50%;
  width: 16px;
  text-align: right;
  right: 16px;
  margin-top: -8px;
}
.bootstrap-select.btn-group[class*="col-"] .btn {
  width: 100%;
}
.bootstrap-select.btn-group .btn-default .caret {
  right: 0;
}
.bootstrap-select.btn-group .btn-lg:not(.btn-default) {
  padding-right: 43px;
}
.bootstrap-select.btn-group .btn-lg:not(.btn-default) > .caret {
  right: 18px;
}
.bootstrap-select.btn-group .btn-sm:not(.btn-default) {
  padding-right: 37px;
}
.bootstrap-select.btn-group .btn-sm:not(.btn-default) > .caret {
  right: 14px;
}
.bootstrap-select.btn-group .btn-xs:not(.btn-default) {
  padding-right: 34px;
}
.bootstrap-select.btn-group .btn-xs:not(.btn-default) > .caret {
  right: 12px;
}
.bootstrap-select.btn-group .dropdown-menu {
  min-width: 100%;
}
.bootstrap-select.btn-group .dropdown-menu > li > a .check-mark {
  position: absolute;
  top: 50%;
  margin-top: -8px;
  right: 16px;
  margin-right: 0;
  color: transparent;
}
.bootstrap-select.btn-group .dropdown-menu > li > a .text {
  display: inline-block;
}
.bootstrap-select.btn-group .dropdown-menu > li > a > .label,
.bootstrap-select.btn-group .dropdown-menu > li > a > .badge {
  float: none;
}
.bootstrap-select.btn-group .dropdown-menu > li > a.special-class,
.bootstrap-select.btn-group .dropdown-menu > li > a.special-class:hover {
  font-weight: 700;
  color: #fff;
  background-color: #F44336;
  -webkit-transition: none;
  -o-transition: none;
  transition: none;
}
.bootstrap-select.btn-group .dropdown-menu > li.disabled a {
  cursor: not-allowed;
}
.bootstrap-select.btn-group .dropdown-menu > li small {
  padding-left: 10px;
}
.bootstrap-select.btn-group .dropdown-menu > .selected > a {
  background-color: #26A69A;
  color: #fff;
}
.bootstrap-select.btn-group .dropdown-menu > .selected > a small {
  color: #fff;
}
.bootstrap-select.btn-group .dropdown-menu.inner {
  position: static;
  border: 0;
  padding: 0;
  margin: 0;
  border-radius: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.bootstrap-select.btn-group .dropdown-menu .notify {
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: center;
  padding: 8px 16px;
  background-color: #f8f8f8;
  border-top: 1px solid transparent;
  pointer-events: none;
}
.bootstrap-select.btn-group .dropdown-header ~ li > a {
  padding-left: 32px;
}
.bootstrap-select.btn-group .no-results {
  padding: 8px 16px;
  background: #f8f8f8;
  margin-bottom: -8px;
  border-top: 1px solid transparent;
}
.bootstrap-select.btn-group.fit-width .btn .filter-option,
.bootstrap-select.btn-group.fit-width .btn .caret {
  position: static;
}
.bootstrap-select.btn-group.show-tick .dropdown-menu > li a .text {
  margin-right: 48px;
}
.bootstrap-select.btn-group.show-tick .dropdown-menu > li.selected a .check-mark {
  color: #fff;
}
.input-group .bootstrap-select > .btn {
  border-radius: 0;
}
.error .bootstrap-select .btn {
  border: 1px solid #F44336;
}
.control-group.error .bootstrap-select .dropdown-toggle {
  border-color: #F44336;
}
.bs-searchbox,
.bs-actionsbox {
  padding: 8px 16px;
  margin-bottom: 8px;
}
.bs-searchbox {
  position: relative;
  padding-left: 48px;
}
.bs-searchbox:after {
  content: '\e98e';
  font-family: 'icomoon';
  position: absolute;
  top: 50%;
  left: 16px;
  color: inherit;
  display: block;
  font-size: 14px;
  margin-top: -11px;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.bs-actionsbox {
  float: left;
  width: 100%;
  position: relative;
}
.bs-actionsbox .btn-group button {
  width: 50%;
}
.bs-searchbox + .bs-actionsbox {
  padding: 0 16px 8px;
}
.mobile-device {
  position: absolute;
  top: 0;
  left: 0;
  display: block !important;
  width: 100%;
  height: 100% !important;
  opacity: 0;
}
select.bs-select-hidden,
select.selectpicker {
  display: none !important;
}
.bootstrap-select > select {
  position: absolute!important;
  bottom: 0;
  left: 50%;
  display: block!important;
  width: .5px!important;
  height: 100%!important;
  padding: 0!important;
  opacity: 0!important;
  border: none;
}

/* ------------------------------------------------------------------------------
*
*  # Bootstrap multiselect
*
*  Styles for multiselect.js - custom multiple select plugin
*
*  Version: 1.0
*  Latest update: May 25, 2015
*
* ---------------------------------------------------------------------------- */
.multiselect {
  width: 100%;
  min-width: 100%;
  text-align: left;
  padding-right: 32px;
  text-overflow: ellipsis;
  overflow: hidden;
}
.multiselect.btn-default {
  border-width: 1px 0;
  padding: 8px 0;
  padding-right: 24px;
  border-radius: 0;
  text-transform: none;
  font-weight: 400;
}
.multiselect.btn-default,
.multiselect.btn-default:hover,
.multiselect.btn-default:focus,
.multiselect.btn-default:active,
.btn-group.open > .multiselect.btn-default.dropdown-toggle {
  border-color: transparent transparent #ddd;
  background-color: transparent;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.multiselect.btn-default:focus,
.btn-group.open > .multiselect.btn-default.dropdown-toggle {
  border-bottom-color: #009688;
  -webkit-box-shadow: 0 1px 0 #009688;
  box-shadow: 0 1px 0 #009688;
}
.multiselect.btn-default.disabled {
  border-bottom-style: dashed;
}
.multiselect.btn-default .caret {
  right: 0;
}
.multiselect .caret {
  position: absolute;
  top: 50%;
  right: 16px;
  margin-top: -8px;
  width: 16px;
  text-align: right;
}
.multiselect.btn-lg {
  padding-right: 36px;
}
.multiselect.btn-lg.btn-default {
  padding-right: 27px;
}
.multiselect.btn-sm {
  padding-right: 28px;
}
.multiselect.btn-sm.btn-default {
  padding-right: 21px;
}
.multiselect.btn-xs {
  padding-right: 24px;
}
.multiselect.btn-xs.btn-default {
  padding-right: 18px;
}
.page-header-inverse .form-group .multiselect.btn-default,
.navbar-inverse .navbar-form .multiselect.btn-default {
  border-bottom-color: rgba(255, 255, 255, 0.3);
  color: #fff;
}
.page-header-inverse .form-group .btn-group.open > .multiselect.btn-default,
.navbar-inverse .navbar-form .btn-group.open > .multiselect.btn-default,
.page-header-inverse .form-group .multiselect.btn-default:focus,
.navbar-inverse .navbar-form .multiselect.btn-default:focus {
  color: #fff;
  border-bottom-color: #fff;
  -webkit-box-shadow: 0 1px 0 #fff;
  box-shadow: 0 1px 0 #fff;
}
.multiselect-container {
  min-width: 180px;
  max-height: 250px;
  overflow-y: auto;
}
.multiselect-container > li {
  padding: 0;
}
.multiselect-container > li > a {
  padding: 0;
}
.multiselect-container > li > a > label {
  display: block!important;
  margin: 0;
  height: 100%;
  cursor: pointer;
  padding: 9px 16px;
  padding-left: 44px;
}
.navbar-form .multiselect-container > li > a > label {
  display: block;
}
.multiselect-container > li > a .checker,
.multiselect-container > li > a .choice {
  top: 50%;
  margin-top: -9px;
  left: 16px;
}
.multiselect-container > li > a.multiselect-all label {
  font-weight: 500;
}
.multiselect-container > li.disabled > a {
  background-color: transparent;
}
.multiselect-container > li.disabled > a > label {
  cursor: not-allowed;
}
.multiselect-container > li.multiselect-group > label,
.multiselect-container > li.multiselect-group.active > label {
  margin: 0;
  padding: 9px 15px;
  font-size: 11px;
  line-height: 1.82;
  color: #999999;
  text-transform: uppercase;
  margin-top: 16px;
  background-color: transparent;
  cursor: default;
}
.multiselect-container > li.multiselect-group.disabled {
  color: #999999;
}
.multiselect-container > li.multiselect-group:first-child > label,
.multiselect-container > li.multiselect-group:first-child.active > label {
  margin-top: 8px;
}
.multiselect-container > li.multiselect-group.multiselect-group-clickable > label {
  cursor: pointer;
}
.multiselect-container > li.multiselect-group.disabled label,
.multiselect-container > li.multiselect-group.disabled:hover label,
.multiselect-container > li.multiselect-group.disabled:focus label {
  background-color: transparent;
  cursor: not-allowed;
}
.multi-select-full > .btn-group {
  width: 100%;
}
.multi-select-full > .btn-group .multiselect-container {
  width: inherit;
}
.multi-select-full + .input-group-btn {
  padding-left: 16px;
}
.multi-select-fixed > .btn-group > .btn {
  width: 250px;
}
.multi-select-auto > .btn-group > .btn {
  width: auto;
}
li.multiselect-filter {
  position: relative;
  padding: 8px 16px;
  padding-left: 44px;
  margin-bottom: 8px;
}
li.multiselect-filter i {
  font-size: 14px;
  position: absolute;
  left: 16px;
  top: 50%;
  margin-top: -7px;
}
.btn-group-multiselect {
  width: 100%;
}
.btn-group-multiselect .btn {
  float: none;
}
.btn-group-multiselect .multiselect {
  min-width: 0;
}